// Ex-p5-Audio14-File-Display
// 22-11-2016
// Pour p5.js (Processing en JavaScript)
// Utilise: libraries/p5.js
// Utilise: libraries/p5.sound.js
// https://p5js.org/reference/#/p5.SoundFile/getPeaks
// http://www.lyceelecorbusier.eu/p5js/?p=3072

NomSon = "cemuhi-12s.mp3";
var Son;

function preload() {
  Son = loadSound(NomSon);
}

function setup() {
  createCanvas(windowWidth, windowHeight);
  textSize(18);
  peaks = Son.getPeaks();
}

function draw() {
  background(255);

  stroke(50, 150, 50);
  beginShape();
  for (i = 0; i < peaks.length; i++) vertex(map(i, 0, peaks.length, 0, width), map(peaks[i], -1, 1, height, 0));
  endShape();

  text('Cliquer: Play / Pause', 10, 20);
  stroke(0);
  line(0, height / 2, width, height / 2);
}

function mousePressed() {
  if (Son.isPlaying()) Son.pause();
  else Son.play();
}

function windowResized() {
  resizeCanvas(windowWidth, windowHeight);
  peaks = Son.getPeaks();
}